package com.fs.app.service;

import com.fs.app.param.ChangeUserDeptAndPostParam;
import com.fs.app.vo.CompanyRoleVO;
import com.fs.app.vo.UserPostVO;
import com.fs.company.domain.CompanyDeptTreeSelect;

import java.util.List;


public interface IAppService {

    /**
     * 修改用户部门和岗位
     * @param param 参数
     */
    void changeUserDeptAndPost(ChangeUserDeptAndPostParam param);

    /**
     * 获取公司部门树
     * @param companyId 公司ID
     * @return  list
     */
    List<CompanyDeptTreeSelect> getDeptTreeSelect(Long companyId);

    /**
     * 获取公司岗位列表
     * @param companyId 公司ID
     * @return list
     */
    List<UserPostVO> postList(Long companyId);

    /**
     * 获取公司角色列表
     * @param companyId 公司ID
     * @return  list
     */
    List<CompanyRoleVO> roleList(Long companyId);
}
